summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2007-09-07 08:19:55 +0000
committerKoen Kooi <koen@openembedded.org>2007-09-07 08:19:55 +0000
commit1eaac97897027aa22c6bd93c16ad00d55b85e471 (patch)
tree63903bead6834386981f21635eab93aaeacfeeb2
parentf7637ba582fcafd1dbe74614288522d479f9f95a (diff)
parent7e06adaf53832038c97b9a7914caac1879c81617 (diff)
merge of '73cd766816e9208e9486f1d0730123cf56b98a13'
and 'ab566828f65e3118a463af4edd4374ec860dc16b'
-rw-r--r--conf/machine/include/motorola-ezx-base.inc2
-rw-r--r--packages/ezx/ezxd/.mtn2git_empty0
-rw-r--r--packages/ezx/ezxd/ezxd.init84
-rw-r--r--packages/ezx/ezxd_svn.bb34
-rw-r--r--packages/tasks/task-boot.bb2
5 files changed, 120 insertions, 2 deletions
diff --git a/conf/machine/include/motorola-ezx-base.inc b/conf/machine/include/motorola-ezx-base.inc
index 6baa6a50ba..52b9ccc65d 100644
--- a/conf/machine/include/motorola-ezx-base.inc
+++ b/conf/machine/include/motorola-ezx-base.inc
@@ -16,7 +16,7 @@ EXTRA_IMAGECMD_jffs2 = "--pad=14680064 --little-endian --eraseblock=0x20000 -n"
MACHINE_FEATURES = "kernel26 touchscreen apm alsa bluetooth usbgadget usbhost keyboard screen"
# the EZX phones need a userspace daemon to stop the BP from shutting down the phone
-MACHINE_EXTRA_RDEPENDS += "opentapi"
+MACHINE_ESSENTIAL_EXTRA_RDEPENDS += "ezxd"
MACHINE_DISPLAY_WIDTH_PIXELS = "240"
MACHINE_DISPLAY_HEIGHT_PIXELS = "320"
diff --git a/packages/ezx/ezxd/.mtn2git_empty b/packages/ezx/ezxd/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/ezx/ezxd/.mtn2git_empty
diff --git a/packages/ezx/ezxd/ezxd.init b/packages/ezx/ezxd/ezxd.init
new file mode 100644
index 0000000000..dccd293af1
--- /dev/null
+++ b/packages/ezx/ezxd/ezxd.init
@@ -0,0 +1,84 @@
+#! /bin/sh
+# -*- coding: utf-8 -*-
+# init.d script for ezxd
+
+set -e
+
+DAEMON=/usr/bin/ezxd
+NAME=ezxd
+PIDDIR=/var/run/ezxd
+PIDFILE=$PIDDIR/pid
+DESC="ezxd server"
+
+test -x $DAEMON || exit 0
+
+# Source defaults file; edit that file to configure this script.
+ENABLED=1
+PARAMS=""
+if [ -e /etc/default/ezxd ]; then
+ . /etc/default/ezxd
+fi
+
+test "$ENABLED" != "0" || exit 0
+
+start_it_up()
+{
+ if [ ! -d $PIDDIR ]; then
+ mkdir -p $PIDDIR
+ fi
+ if [ -e $PIDFILE ]; then
+ PIDDIR=/proc/$(cat $PIDFILE)
+ if [ -d ${PIDDIR} -a "$(readlink -f ${PIDDIR}/exe)" = "${DAEMON}" ]; then
+ echo "$DESC already started; not starting."
+ else
+ echo "Removing stale PID file $PIDFILE."
+ rm -f $PIDFILE
+ fi
+ fi
+
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --background --quiet --pidfile $PIDFILE \
+ --exec $DAEMON -- --system $PARAMS
+ # We need to sleep here because opening the mux devices takes some time
+ sleep 15
+ echo "$NAME."
+ if [ -d $EVENTDIR ]; then
+ run-parts --arg=start $EVENTDIR
+ fi
+}
+
+shut_it_down()
+{
+ if [ -d $EVENTDIR ]; then
+ run-parts --reverse --arg=stop $EVENTDIR
+ fi
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet --pidfile $PIDFILE
+
+ # We no longer include these arguments so that start-stop-daemon
+ # can do its job even given that we may have been upgraded.
+ # We rely on the pidfile being sanely managed
+ # --exec $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ rm -f $PIDFILE
+}
+
+case "$1" in
+ start)
+ start_it_up
+ ;;
+ stop)
+ shut_it_down
+ ;;
+ restart|force-reload)
+ shut_it_down
+ sleep 1
+ start_it_up
+ ;;
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/packages/ezx/ezxd_svn.bb b/packages/ezx/ezxd_svn.bb
new file mode 100644
index 0000000000..3a052174b2
--- /dev/null
+++ b/packages/ezx/ezxd_svn.bb
@@ -0,0 +1,34 @@
+DESCRIPTION = "Open implementation of motorola's tapisrv, replaces opentapi"
+LICENSE = "GPLv2"
+SECTION = "devel"
+AUTHOR = "Daniel Ribeiro"
+
+PV = "0.0+svnr${SRCREV}"
+PR = "r0"
+
+SRC_URI = "svn://svn.openezx.org/trunk/src/userspace/;module=ezxd;proto=http \
+ file://ezxd.init \
+ "
+
+inherit update-rc.d
+
+INITSCRIPT_NAME = "ezxd"
+INITSCRIPT_PARAMS = "start 00 S ."
+
+RREPLACES = "opentapi"
+
+
+S = "${WORKDIR}/${PN}"
+
+do_install() {
+ install -d ${D}${bindir}
+ install -m 755 ezxd ${D}${bindir}
+
+ install -d ${D}${libdir}/ezxd
+ install -m 755 *.so ${D}${libdir}/ezxd
+
+ install -d ${D}${sysconfdir}/init.d
+ install -m 0600 ezxd.conf ${D}${sysconfdir}/
+ install -m 0755 ${WORKDIR}/ezxd.init ${D}${sysconfdir}/init.d/ezxd
+}
+
diff --git a/packages/tasks/task-boot.bb b/packages/tasks/task-boot.bb
index fe4d43b767..40c5bd530b 100644
--- a/packages/tasks/task-boot.bb
+++ b/packages/tasks/task-boot.bb
@@ -1,5 +1,5 @@
DESCRIPTION = "Basic task to get a device booting"
-PR = "r39"
+PR = "r40"
inherit task